# BBBasic (Backbone Basic)#
<img src="./imgs/Backbone_logo.png"> | <img src="./imgs/npm_logo.png">|
--- | --- |
## Summary ##
Take the mystery out of Backbone.js and get started with a fully functional REST API boilerplate application. Read and follow along with the comments. 

Using Backbone on the frontend and MongoDB, Node and Express on the backend, you can follow along with and adjust the code to the individual needs of your app. 

## How to Get Started ##

Navigate to an empty project directory and: 

```sh
npm install bbbasic
```
Then install the (optional) project dependencies:

```sh
npm install
```
If wanting to uninstall any unused regular/dev dependencies, e.g.: gulp-related, run:

```sh
npm uninstall --save [dependency name]

npm uninstall --save-dev [dependency name]
```

## Testing ##
For your convenience, the Mocha and Chai testing suites have been included so that you can customize them for your project. 

## Deployment ##
After adjusting the templates and tests to fit the individual needs of your app, get your server + database up and running and deploy to a service like [Azure](https://azure.microsoft.com/en-us/get-started/) or [Heroku](https://devcenter.heroku.com/start) to complete the process.

## Tech Stack ##
<img src="./imgs/Backbone_logo.png"> | <img src="./imgs/MongoDB-Logo.png"> | <img src="./imgs/node_logo.png"> | <img src="./imgs/express-logo.png"> | <img src="./imgs/gulp_logo.png"> | <img src="./imgs/mocha_chai_logo.png">
--- | --- | --- | --- | --- | --- |
Backbone.js|MongoDB| Node.js | Express.js | Gulp | Mocha & Chai

## Team ##
[![Jazz Lyles](https://avatars2.githubusercontent.com/u/10368585?v=3&s=460)](https://github.com/existenzial) <br>Jazz Lyles
<br>[LinkedIn](https://www.linkedin.com/in/jazzlyles)
<br>[Twitter](https://twitter.com/JazzLyles)
<br>[Site](http://jazzlyles.com)